# Method: projects.locations.repositories.files.list

- [HTTP request](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#body.request_body)
- [Response body](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#body.ListFilesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#body.aspect)
- [Examples](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#examples)
- [Try it!](https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files/list#try-it)

Lists files.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="africa-south1">africa-south1</button> <button value="asia-east1">asia-east1</button> <button value="asia-east2">asia-east2</button> <button value="asia-northeast1">asia-northeast1</button> <button value="asia-northeast2">asia-northeast2</button> <button value="asia-northeast3">asia-northeast3</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="asia-southeast1">asia-southeast1</button> <button value="asia-southeast2">asia-southeast2</button> <button value="australia-southeast1">australia-southeast1</button> <button value="australia-southeast2">australia-southeast2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="europe-west2">europe-west2</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="me-central1">me-central1</button> <button value="me-west1">me-west1</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="southamerica-east1">southamerica-east1</button> <button value="southamerica-west1">southamerica-west1</button> <button value="us-central1">us-central1</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="me-central2">me-central2</button> <button value="us-east7">us-east7</button> <button value="us">us</button> <button value="eu">eu</button>   
`GET https://artifactregistry.googleapis.com/v1/{parent=projects/*/locations/*/repositories/*}/files`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the repository whose files will be listed. For example: "projects/p1/locations/us-central1/repositories/repo1 Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `artifactregistry.files.list` |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` An expression for filtering the results of the request. Filter rules are case insensitive. The fields eligible for filtering are: - `name` - `owner` - `annotations` Examples of using a filter: To filter the results of your request to files with the name `my_file.txt` in project `my-project` in the `us-central` region, in repository `my-repo`, append the following filter expression to your request: - `name="projects/my-project/locations/us-central1/repositories/my-repo/files/my-file.txt"` You can also use wildcards to match any number of characters before or after the value: - `name="projects/my-project/locations/us-central1/repositories/my-repo/files/my-*"` - `name="projects/my-project/locations/us-central1/repositories/my-repo/files/*file.txt"` - `name="projects/my-project/locations/us-central1/repositories/my-repo/files/*file*"` To filter the results of your request to files owned by the version `1.0` in package `pkg1`, append the following filter expression to your request: - `owner="projects/my-project/locations/us-central1/repositories/my-repo/packages/my-package/versions/1.0"` To filter the results of your request to files with the annotation key-value pair \[`external_link`: `external_link_value`\], append the following filter expression to your request: - `"annotations.external_link:external_link_value"` To filter just for a specific annotation key `external_link`, append the following filter expression to your request: - `"annotations.external_link"` If the annotation key or value contains special characters, you can escape them by surrounding the value with backticks. For example, to filter the results of your request to files with the annotation key-value pair \[`external.link`:`https://example.com/my-file`\], append the following filter expression to your request: - ``"annotations.`external.link`:`https://example.com/my-file`"`` You can also filter with annotations with a wildcard to match any number of characters before or after the value: - ``"annotations.*_link:`*example.com*`"`` |
| `pageSize` | `integer` The maximum number of files to return. Maximum page size is 1,000. |
| `pageToken` | `string` The nextPageToken value returned from a previous list request, if any. |
| `orderBy` | `string` The field to order the results by. |

### Request body

The request body must be empty.

### Response body

The response from listing files.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "files": [ { object (`https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files#File`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `files[]` | ``object (`https://docs.cloud.google.com/artifact-registry/docs/reference/rest/v1/projects.locations.repositories.files#File`)`` The files returned. |
| `nextPageToken` | `string` The token to retrieve the next page of files, or empty if there are no more files to return. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).